* * *

Author Topic: fpCEF3 Linux versions  (Read 645 times)

jiutianfei

  • New member
  • *
  • Posts: 6
fpCEF3 Linux versions
« on: May 29, 2018, 10:13:41 am »
Hi all,

I'm running two versions of 64-bit Linux - Linux Mint 17 based on Ubuntu 16.04, and Xubuntu 18.04. FPC is Ubuntu-packaged v3.0.4. Lazarus is v1.8 built from source.

I can build and run the fpCEF3 examples on 16.04. I can build the examples on 18.04, but they all crash with operating system error as below. Copying the binaries built on 16.04 and running them on 18.04 gives the same result.

Has anyone succesfully built and use fpCEF3 on Ubuntu 18.04?

Also, the GH repo states to use the correct version of CEF3. How to upgrade? I modified the version number in cef3.lpk, rebuilt package and Lazarus, and rebuilt the LCLSimple example, but running it with corresponding CEF binary release version gives unsupported CEF library version.

Code: Pascal  [Select]
  1. [FORMS.PP] ExceptionOccurred
  2.   Sender=EOSError
  3.   Exception=An operating system call failed.
  4.   Stack trace:
  5.   $00000000004D9AFE
  6.   $00000000004D9A11
  7.   $0000000000773BFA
  8.   $0000000000535507 line 7842 of include/wincontrol.inc
  9.   $000000000053496A line 7531 of include/wincontrol.inc
  10.   $0000000000448134 line 23 of include/scrollingwincontrol.inc
  11.   $00000000004510BD line 2688 of include/customform.inc
  12.   $00000000004526C6 line 3156 of include/customform.inc
  13.   $0000000000533D9E line 7396 of include/wincontrol.inc
  14.   $0000000000535507 line 7842 of include/wincontrol.inc
  15.   $000000000045C50F line 2230 of include/application.inc
  16.   $000000000041E80C line 21 of simple.lpr
  17. TApplication.HandleException An operating system call failed.
  18.   Stack trace:
  19.   $00000000004D9AFE
  20.   $00000000004D9A11
  21.   $0000000000773BFA
  22.   $0000000000535507 line 7842 of include/wincontrol.inc
  23.   $000000000053496A line 7531 of include/wincontrol.inc
  24.   $0000000000448134 line 23 of include/scrollingwincontrol.inc
  25.   $00000000004510BD line 2688 of include/customform.inc
  26.   $00000000004526C6 line 3156 of include/customform.inc
  27.   $0000000000533D9E line 7396 of include/wincontrol.inc
  28.   $0000000000535507 line 7842 of include/wincontrol.inc
  29.   $000000000045C50F line 2230 of include/application.inc
  30.   $000000000041E80C line 21 of simple.lpr
  31.  

jiutianfei

  • New member
  • *
  • Posts: 6
Re: fpCEF3 Linux versions
« Reply #1 on: May 29, 2018, 10:33:43 am »
I can build the examples on 18.04, but they all crash with operating system error as below. Copying the binaries built on 16.04 and running them on 18.04 gives the same result.

Following up to my own question, my 18.04 was missing the package libgconf-2-4. Installing it allows the examples to run.  :D

Also, the GH repo states to use the correct version of CEF3. How to upgrade?

Still interested in using a more recent version of CEF though.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus